Bug 1282585 - Installer fails to write boot loader config [NEEDINFO]
Installer fails to write boot loader config
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 14:44 EST by Lars Nielsen
Modified: 2016-12-20 10:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:59:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bcl: needinfo? (redhat)


Attachments (Terms of Use)

  None (edit)
Description Lars Nielsen 2015-11-16 14:44:45 EST
My original auto generated bug report got attached to this bug 1253966 which is dismissed (closed) as a hardware error, but this is not a hardware error.

This happened with a dual boot install on a mac book with OS X.

Steps to Reproduce:
1. Shrink Mac OS X partition
2. Install Fedora (I had 22) - this creates a separate EFI partion instead of using the existing EFI partition (why?). I used BTRFS and encryption - standard layout.
3. Delete all Linux partiotions, EXCEPT the new EFI partition
4. Further shrink OS X partition (may be irrelevant)
5. Install Fedora 23 (or 22) - select standard partitioning, BTRFS and encryption.
--- FAILS 

Actual results:
Installation fails - see 1253966 for details


Expected results:
Installation succeeds

Additional info:
Workaround is to also delete the extra EFI partition - which shows up as something like 'HPFS+ Linux' so it is a litte scary deleting it (not sure if was created by OS X)
Comment 1 Brian Lane 2015-11-17 13:47:25 EST
Please attach your logs as individual text/plain attachments. Note that the 'Linux HFS+ ESP' is the one created by Fedora. We do this so that the Mac boot selector will show a nice icon instead of the generic disk.
Comment 2 Fedora End Of Life 2016-11-24 08:29:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 10:59:27 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.